## org.w3c.jigadmin.editors
Interface RemoteNode

All Known Implementing Classes:
  RemoteResourceWrapperNode

public interface RemoteNode

The interface for remote nodes.

Method Summary
`void` `nodeWillCollapse()` Invoked whenever this node is about to be collapsed.
`void` `nodeWillExpand()` Invoked whenever this node is about to be expanded.

Method Detail

### nodeWillExpand

    public void nodeWillExpand()

  Invoked whenever this node is about to be expanded.

### nodeWillCollapse

    public void nodeWillCollapse()

  Invoked whenever this node is about to be collapsed.